declare type TCommentChat = {
  seenByNames: string;
  _id?: string;
  comment: string;
  attachments?: TAttachment[];
  createdBy: string;
  workOrder: string;
  createdAt?: string | Date;
  updatedAt?: string;
  createdByName?: string;
  createdByType?: string;
  justify?: string;
  feedback?: string;
  seenByNames: Person;
};

declare type TCommentResponse = {
  items: TCommentChat[];
  pageRange: string;
  pages: number;
};

declare type TCommentPaginated = {
  items: TCommentChat[];
  pageRange: string;
  pages: number;
};

declare type TAttachment = {
  id: string;
  name: string;
  // other properties of the attachment, if any
};

declare type Person = {
  givenName: string;
  surname: string;
};
